packages java-monolog-2.0-build_xml.patch
      Pages: < 1 >  DOWNLOAD      
--- monolog/build.xml	2004-11-16 06:14:06.000000000 +0100
+++ monolog/build.xml-gil	2009-10-09 17:03:11.000000000 +0200
@@ -70,7 +70,7 @@
 
     <target name="checkJava">
         <condition property="compatibleJRE">
-            <equals arg1="${ant.java.version}" arg2="1.4"/>
+            <equals arg1="${ant.java.version}" arg2="1.6"/>
         </condition>
     </target>
 
@@ -82,7 +82,7 @@
         <tstamp>
             <format property="buildtime" pattern="d-MMMM-yyyy 'at' HH:mm:ss" locale="en"/>
         </tstamp>
-        <fail message="The JDK 1.4 version (or greater) is required for main project."/>
+        <fail message="The JDK 1.6 version (or greater) is required for main project."/>
     </target>
 
     <!-- **********************************-->
@@ -93,6 +93,7 @@
         <!--     <target name="compile">-->
         <mkdir dir="${build}"/>
         <javac
+            source="1.4"
             srcdir="${src}"
             destdir="${build}"
             deprecation="${deprecation}" debug="on">
@@ -101,7 +102,7 @@
             <exclude name="**/log4jMini/*.java"/>
         </javac>
 
-        <javac srcdir="${tstConform}" destdir="${build}" debug="on">
+        <javac source="1.4" srcdir="${tstConform}" destdir="${build}" debug="on">
             <classpath refid="test.classpath"/>
         </javac>